﻿@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}


@{
    ViewBag.Title = "SPIN-Upload Firm Order and Data Verification Screen";
}

@Html.Partial("_PartialScript")

<div class="content">
    <table width="100%">
       <tr>       
            <td> 
                <fieldset style="border:2px;border-style:outset;width:400px;height:53px;">                     
                    <table>
                        <tr>
                            <td>
                                @using (Html.BeginForm("CallbackUpload", "FirmOrder", FormMethod.Post))
                                {
                                    @Html.DevExpress().UploadControl(
                                        settings =>
                                        {
                                            settings.Name = "UploadFirmOrder";
                                            settings.Width = 300;
                                            settings.ShowProgressPanel = true;
                                            settings.CallbackRouteValues = new { Controller = "FirmOrder", Action = "SPN111CallbackUpload" };
                                            settings.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                                        }).GetHtml()
                                }
                            </td>
                            <td style="width:5px"></td>
                            <td>
                                @Html.DevExpress().Button(
                                    settings => {
                                    settings.Name = "btnUpload";
                                    settings.Text = "Upload";
                                    settings.Width = 90;
                                    settings.Height = 25;
                                    settings.ClientSideEvents.Click = "UploadData";
                                    settings.Style.Add("display", "inline-table");
                            }
                        ).GetHtml()
                            </td>
                        </tr>
                        <tr>
                           <td>
                                @Html.DevExpress().Label(
                                        label =>
                                        {
                                            label.Text = "Allowed file type : xls";
                                            label.Style.Add("color", "gray");
                                        }).GetHtml()

                                  &nbsp; &nbsp;
                                 @Html.DevExpress().HyperLink(Link =>
                                    {
                                        Link.Name = "DownloadLink";
                                        Link.Properties.Text = "Download Template";
                                        Link.Width = 160;
                                        Link.NavigateUrl = "Template/Firm_Order_Upload.xls";
                                        Link.Style.Add("display", "inline-table");
                                    }).GetHtml()
                           </td>
                        </tr>
                    </table>
                </fieldset>                   
            </td>
            <td>
                <fieldset style="border:2px;border-style:outset;height:53px;">                     
                    <table>
                        <tr>
                            <td>
                                 @Html.DevExpress().Label(
                                    label =>
                                    {
                                        label.Text = "Production Month";
                                    }).GetHtml()
                            </td>
                            <td style="width:5px"></td>
                            <td>
                               @Html.DevExpress().DateEdit( 
                                    SetDate =>
                                    {
                                        SetDate.Name = "dtProductionMonth_S";
                                        SetDate.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                        SetDate.Properties.ValidationSettings.ErrorText = "";
                                        SetDate.Properties.DisplayFormatInEditMode = true;
                                        SetDate.Properties.DisplayFormatString = "yyyyMM";
                                        SetDate.Properties.EditFormatString = "yyyyMM";
                                        SetDate.Properties.ClientSideEvents.DropDown = "OnDropDown";
                                        SetDate.Properties.ClientSideEvents.Init = "OnInit";
                                        SetDate.Properties.CalendarProperties.EnableYearNavigation = true;                                      
                                        SetDate.Width = 100;
                                    }).GetHtml()  
                            </td>
                            <td style="width:20px"></td>
                            <td>
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Part No";
                                }).GetHtml()
                            </td>
                            <td style="width:5px"></td>
                            <td>
                                @Html.DevExpress().TextBox(
                                    settings => {
                                        settings.Name = "txtPartNo_S";
                                        settings.Width = 180;
                                        settings.Properties.MaxLength = 25;
                                    }
                                ).GetHtml()
                            </td>
                            <td style="width:20px"></td>
                            <td>
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Plant Code";
                                }).GetHtml()
                            </td>
                            <td style="width:5px"></td>
                            <td>
                               @Html.DevExpress().ComboBox(
                                    settings =>
                                    {
                                        settings.Name = "cmbMasterPlant_S";
                                        settings.Width = 100;
                                        settings.SelectedIndex = -1;
                                        settings.Properties.DropDownWidth = 400;
                                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                        settings.CallbackRouteValues = new { Controller = "FirmOrderScreen", Action = "SPN111GetMasterPlant" };
                                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                        settings.Properties.TextFormatString = "{0}";
                                        settings.Properties.ValueField = "PLANT_CD";
                                        settings.Properties.ValueType = typeof(string);

                                        settings.Properties.Columns.Add("PLANT_CD", "Plant Code", 100);
                                        settings.Properties.Columns.Add("DESCRIPTION", "Description", 250);
                                    }
                                ).BindList(ViewData["DataMasterPlant"]).GetHtml()
                            </td>
                            <td style="width:20px"></td>
                            <td>
                                @Html.DevExpress().Button(
                                    settings => {
                                        settings.Name = "btnSearch";
                                        settings.Text = "Search";
                                        settings.Width = 90;
                                        settings.Height = 25;
                                        settings.ClientSideEvents.Click = "SearchData";
                                        settings.Style.Add("display", "inline-table");
                                    }
                                ).GetHtml()
                            </td>
                            <td style="width:5px"></td>
                            <td>
                                @Html.DevExpress().Button(
                                    settings => {
                                        settings.Name = "btnClear";
                                        settings.Text = "Clear";
                                        settings.Width = 90;
                                        settings.Height = 25;
                                        settings.ClientSideEvents.Click = "ClearData";
                                        settings.Style.Add("display", "inline-table");
                                    }
                                ).GetHtml()
                            </td>
                        </tr>
                        <tr>
                            <td>
                                 @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Line Code";
                                }).GetHtml()
                            </td>
                            <td></td> 
                            <td>
                                 @Html.DevExpress().ComboBox(
                                    settings =>
                                    {
                                        settings.Name = "cmbMasterLine_S";
                                        settings.Width = 100;
                                        settings.SelectedIndex = -1;
                                        settings.Properties.DropDownWidth = 400;
                                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                        settings.CallbackRouteValues = new { Controller = "FirmOrderScreen", Action = "SPN111GetMasterLine" };
                                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                        settings.Properties.TextFormatString = "{0}";
                                        settings.Properties.ValueField = "LINE_CD";
                                        settings.Properties.ValueType = typeof(string);
                                        settings.Properties.Columns.Add("LINE_CD", "Line Code", 100);
                                        settings.Properties.Columns.Add("DESCRIPTION", "Description", 250);                            
                                    }
                                ).BindList(ViewData["DataMasterLine"]).GetHtml()        
                            </td>
                            <td style="width:20px"></td>
                            <td>
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Order Type";
                                }).GetHtml()
                            </td>
                            <td style="width:5px"></td>
                            <td>
                                @Html.DevExpress().ComboBox(
                                    settings => {
                                        settings.Name = "cmbOrderType";
                                        settings.Width = 100;
                                        settings.SelectedIndex = -1;
                                        settings.Properties.ValueType = typeof(string);
                                        settings.Properties.Items.Add("Reguler", "Reguler");
                                        settings.Properties.Items.Add("Emergency", "Emergency");
                                    }
                                ).GetHtml()
                            </td>
                        </tr>
                    </table>
                </fieldset>  
            </td>
       </tr>        
    </table>
    <p></p>
    <table>
        <tr>
            <td>
                 @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Summary Order";
                    }).GetHtml()
            </td>
            <td style="width:20px"></td>
            <td>
                 @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "OK";
                    }).GetHtml()
            </td>
            <td style="width:5px"></td>
            <td>
                @Html.DevExpress().TextBox(
                    settings => {
                        settings.Name = "txtOK_SO";
                        settings.Width = 100;
                        settings.ReadOnly = true;
                        settings.Text = "0";
                    }
                ).GetHtml()
            </td>
            <td style="width:20px"></td>
            <td>
                 @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "NG";
                    }).GetHtml()
            </td>
            <td style="width:5px"></td>
            <td>
                @Html.DevExpress().TextBox(
                    settings => {
                        settings.Name = "txtNG_SO";
                        settings.Width = 100;
                        settings.Text = "0";                        
                        settings.ReadOnly = true;
                    }
                ).GetHtml()
            </td>
            <td style="width:650px"></td>
            <td>
                @Html.DevExpress().Button(
                    settings => {
                        settings.Name = "btnReprocess";
                        settings.Text = "Reprocess";
                        settings.Width = 90;
                        settings.Height = 25;
                        settings.ClientSideEvents.Click = "Reprocess";
                        settings.Style.Add("display", "inline-table");
                    }
                ).GetHtml()
            </td>
            <td style="width:5px"></td>
           <td>
                @Html.DevExpress().Button(
                    settings => {
                        settings.Name = "btnConfirm";
                        settings.Text = "Confirm";
                        settings.Width = 90;
                        settings.Height = 25;
                        settings.ClientSideEvents.Click = "Confirm";
                        settings.Style.Add("display", "inline-table");
                    }
                ).GetHtml()
            </td>
            <td style="width:5px"></td>
            <td>
               @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnDownload";
                        settings.Text = "Download";
                        settings.Width = 90;
                        settings.Height = 25;
                        settings.ClientSideEvents.Click = "DownloadData";
                        settings.Style.Add("display", "inline-table");
                    }
                ).GetHtml()
            </td>
        </tr>
    </table>
</div>
<div class="content" style="min-height:490px">
    @Html.Partial("GridViewPartialView")
</div>